Bug 2025672 (CVE-2021-39926, wnpa-sec-2021-08)

Summary: CVE-2021-39926 wireshark: bluetooth HCI_ISO dissector crash
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: alekcejk, denis, huzaifas, lemenkov, mruprich, peter, rvokal, sergey.avseyev
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: wireshark 3.4.10 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Wireshark. A process failure on crafted or malformed HCI_ISO input can cause a denial of service via packet injection or a crafted capture file.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-04-18 01:28:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2025673, 2029910    
Bug Blocks: 2025696    

Description Guilherme de Almeida Suckevicz 2021-11-22 17:55:11 UTC
Buffer overflow in the Bluetooth HCI_ISO dissector in Wireshark 3.4.0 to 3.4.9 allows denial of service via packet injection or crafted capture file.

Reference:
https://www.wireshark.org/security/wnpa-sec-2021-08.html

Comment 1 Guilherme de Almeida Suckevicz 2021-11-22 17:55:31 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 2025673]

Comment 8 Product Security DevOps Team 2022-04-18 01:28:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-39926